#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>
#include <QQuickWidget>
#include <QShortcut>
#include <QDrag>
#include <QPointer>

class MainWindow : public QWidget
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void startDragAndDropDelayed();
protected:
    bool eventFilter(QObject *target, QEvent *event);
private slots:
    void reloadQmlSource();
private:
    QQuickWidget *m_quickWidget;
    QWidget *m_targetWidget;
    QShortcut *m_qmlSourceUpdateShortcut;
    int m_internalCounter;
    QPointer<QDrag> m_currentDrag;
};

#endif // MAINWINDOW_H
